Subject: Re: [GSoC][PATCH v2] t/: migrate helper/test-oidtree.c to unit-tests/t-oidtree.c

From: Junio C Hamano <[email-masked]>
Date: Mon, 10 Jun 2024 14:06:49 -0700

Ghanshyam Thakkar <[email-masked]> writes:

> On Mon, 10 Jun 2024, Junio C Hamano <[email-masked]> wrote:
>> Ghanshyam Thakkar <[email-masked]> writes:
>> 
>> > helper/test-oidtree.c along with t0069-oidtree.sh test the oidtree.h
>> > library, which is a wrapper around crit-bit tree. Migrate them to
>> > the unit testing framework for better debugging and runtime
>> > performance. Along with the migration, add an extra check for
>> > oidtree_each() test, which showcases how multiple expected matches can
>> > be given to check_each() helper.
>> > ...
>> 
>> Use "LAST_ARG_MUST_BE_NULL" here, probably.
>> > +static void check_each(struct oidtree *ot, char *query, ...)
>
> I see that you already made this change in merge-fix/gt/unit-test-oidtree.
> Thanks for that.

That is merely tentative.  LAST_ARG_MUST_BE_NULL must be on the base
topic, as it is not something that suddenly becomes required after
getting merged to the integration branch (unlike other changes in
the merge-fix which became necessary in the world order after Patrick's
const string fixes are merged).

I do not know what other fixes are needed, and if there is nothing
else that needs to be done in gt/unit-test-oidtree topic, I can do
"git commit --amend" before merging it to 'next' (unless I forget,
that is ;-)), but if you are rerolling, please do not forget to add
that (you do not need to do the constness changes, which will require
you to rebase on top of whatever contains Patrick's work).

Thanks.